<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Cdwpg\V20201230\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeInstanceInfo返回参数结构体
 *
 * @method SimpleInstanceInfo getSimpleInstanceInfo() 获取1
 * @method void setSimpleInstanceInfo(SimpleInstanceInfo $SimpleInstanceInfo) 设置1
 * @method string getErrorMsg() 获取1
 * @method void setErrorMsg(string $ErrorMsg) 设置1
 * @method string getRequestId() 获取唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 * @method void setRequestId(string $RequestId) 设置唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 */
class DescribeInstanceInfoResponse extends AbstractModel
{
    /**
     * @var SimpleInstanceInfo 1
     */
    public $SimpleInstanceInfo;

    /**
     * @var string 1
     */
    public $ErrorMsg;

    /**
     * @var string 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    public $RequestId;

    /**
     * @param SimpleInstanceInfo $SimpleInstanceInfo 1
     * @param string $ErrorMsg 1
     * @param string $RequestId 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("SimpleInstanceInfo",$param) and $param["SimpleInstanceInfo"] !== null) {
            $this->SimpleInstanceInfo = new SimpleInstanceInfo();
            $this->SimpleInstanceInfo->deserialize($param["SimpleInstanceInfo"]);
        }

        if (array_key_exists("ErrorMsg",$param) and $param["ErrorMsg"] !== null) {
            $this->ErrorMsg = $param["ErrorMsg"];
        }

        if (array_key_exists("RequestId",$param) and $param["RequestId"] !== null) {
            $this->RequestId = $param["RequestId"];
        }
    }
}
