<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Cwp\V20180228\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeLicenseWhiteConfig返回参数结构体
 *
 * @method VersionWhiteConfig getFlagShip() 获取旗舰版 配置信息
 * @method void setFlagShip(VersionWhiteConfig $FlagShip) 设置旗舰版 配置信息
 * @method VersionWhiteConfig getProfessional() 获取专业版 配置信息
 * @method void setProfessional(VersionWhiteConfig $Professional) 设置专业版 配置信息
 * @method VersionWhiteConfig getPrattWhitney() 获取普惠版 配置信息
 * @method void setPrattWhitney(VersionWhiteConfig $PrattWhitney) 设置普惠版 配置信息
 * @method string getRequestId() 获取唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 * @method void setRequestId(string $RequestId) 设置唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 */
class DescribeLicenseWhiteConfigResponse extends AbstractModel
{
    /**
     * @var VersionWhiteConfig 旗舰版 配置信息
     */
    public $FlagShip;

    /**
     * @var VersionWhiteConfig 专业版 配置信息
     */
    public $Professional;

    /**
     * @var VersionWhiteConfig 普惠版 配置信息
     */
    public $PrattWhitney;

    /**
     * @var string 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    public $RequestId;

    /**
     * @param VersionWhiteConfig $FlagShip 旗舰版 配置信息
     * @param VersionWhiteConfig $Professional 专业版 配置信息
     * @param VersionWhiteConfig $PrattWhitney 普惠版 配置信息
     * @param string $RequestId 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("FlagShip",$param) and $param["FlagShip"] !== null) {
            $this->FlagShip = new VersionWhiteConfig();
            $this->FlagShip->deserialize($param["FlagShip"]);
        }

        if (array_key_exists("Professional",$param) and $param["Professional"] !== null) {
            $this->Professional = new VersionWhiteConfig();
            $this->Professional->deserialize($param["Professional"]);
        }

        if (array_key_exists("PrattWhitney",$param) and $param["PrattWhitney"] !== null) {
            $this->PrattWhitney = new VersionWhiteConfig();
            $this->PrattWhitney->deserialize($param["PrattWhitney"]);
        }

        if (array_key_exists("RequestId",$param) and $param["RequestId"] !== null) {
            $this->RequestId = $param["RequestId"];
        }
    }
}
