<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Cwp\V20180228\Models;
use TencentCloud\Common\AbstractModel;

/**
 * ScanBaseline返回参数结构体
 *
 * @method array getScanningQuuids() 获取正在扫描中的主机Quuid
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setScanningQuuids(array $ScanningQuuids) 设置正在扫描中的主机Quuid
注意：此字段可能返回 null，表示取不到有效值。
 * @method integer getTaskId() 获取任务下发成功返回的TaskId
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setTaskId(integer $TaskId) 设置任务下发成功返回的TaskId
注意：此字段可能返回 null，表示取不到有效值。
 * @method string getRequestId() 获取唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 * @method void setRequestId(string $RequestId) 设置唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 */
class ScanBaselineResponse extends AbstractModel
{
    /**
     * @var array 正在扫描中的主机Quuid
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $ScanningQuuids;

    /**
     * @var integer 任务下发成功返回的TaskId
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $TaskId;

    /**
     * @var string 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    public $RequestId;

    /**
     * @param array $ScanningQuuids 正在扫描中的主机Quuid
注意：此字段可能返回 null，表示取不到有效值。
     * @param integer $TaskId 任务下发成功返回的TaskId
注意：此字段可能返回 null，表示取不到有效值。
     * @param string $RequestId 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("ScanningQuuids",$param) and $param["ScanningQuuids"] !== null) {
            $this->ScanningQuuids = $param["ScanningQuuids"];
        }

        if (array_key_exists("TaskId",$param) and $param["TaskId"] !== null) {
            $this->TaskId = $param["TaskId"];
        }

        if (array_key_exists("RequestId",$param) and $param["RequestId"] !== null) {
            $this->RequestId = $param["RequestId"];
        }
    }
}
