<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Ess\V20201111\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeFlowInfo返回参数结构体
 *
 * @method array getFlowDetailInfos() 获取合同流程的详细信息。
如果查询的是合同组信息，则返回的是组内所有子合同流程的详细信息。
 * @method void setFlowDetailInfos(array $FlowDetailInfos) 设置合同流程的详细信息。
如果查询的是合同组信息，则返回的是组内所有子合同流程的详细信息。
 * @method string getFlowGroupId() 获取合同组ID，只有在查询合同组信息时才会返回。
 * @method void setFlowGroupId(string $FlowGroupId) 设置合同组ID，只有在查询合同组信息时才会返回。
 * @method string getFlowGroupName() 获取合同组名称，只有在查询合同组信息时才会返回。
 * @method void setFlowGroupName(string $FlowGroupName) 设置合同组名称，只有在查询合同组信息时才会返回。
 * @method string getRequestId() 获取唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 * @method void setRequestId(string $RequestId) 设置唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 */
class DescribeFlowInfoResponse extends AbstractModel
{
    /**
     * @var array 合同流程的详细信息。
如果查询的是合同组信息，则返回的是组内所有子合同流程的详细信息。
     */
    public $FlowDetailInfos;

    /**
     * @var string 合同组ID，只有在查询合同组信息时才会返回。
     */
    public $FlowGroupId;

    /**
     * @var string 合同组名称，只有在查询合同组信息时才会返回。
     */
    public $FlowGroupName;

    /**
     * @var string 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    public $RequestId;

    /**
     * @param array $FlowDetailInfos 合同流程的详细信息。
如果查询的是合同组信息，则返回的是组内所有子合同流程的详细信息。
     * @param string $FlowGroupId 合同组ID，只有在查询合同组信息时才会返回。
     * @param string $FlowGroupName 合同组名称，只有在查询合同组信息时才会返回。
     * @param string $RequestId 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("FlowDetailInfos",$param) and $param["FlowDetailInfos"] !== null) {
            $this->FlowDetailInfos = [];
            foreach ($param["FlowDetailInfos"] as $key => $value){
                $obj = new FlowDetailInfo();
                $obj->deserialize($value);
                array_push($this->FlowDetailInfos, $obj);
            }
        }

        if (array_key_exists("FlowGroupId",$param) and $param["FlowGroupId"] !== null) {
            $this->FlowGroupId = $param["FlowGroupId"];
        }

        if (array_key_exists("FlowGroupName",$param) and $param["FlowGroupName"] !== null) {
            $this->FlowGroupName = $param["FlowGroupName"];
        }

        if (array_key_exists("RequestId",$param) and $param["RequestId"] !== null) {
            $this->RequestId = $param["RequestId"];
        }
    }
}
