<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Iss\V20230517\Models;
use TencentCloud\Common\AbstractModel;

/**
 * 网关详情版本信息
 *
 * @method string getName() 获取服务名称
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setName(string $Name) 设置服务名称
注意：此字段可能返回 null，表示取不到有效值。
 * @method string getVersion() 获取服务版本
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setVersion(string $Version) 设置服务版本
注意：此字段可能返回 null，表示取不到有效值。
 */
class GatewayVersion extends AbstractModel
{
    /**
     * @var string 服务名称
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $Name;

    /**
     * @var string 服务版本
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $Version;

    /**
     * @param string $Name 服务名称
注意：此字段可能返回 null，表示取不到有效值。
     * @param string $Version 服务版本
注意：此字段可能返回 null，表示取不到有效值。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("Name",$param) and $param["Name"] !== null) {
            $this->Name = $param["Name"];
        }

        if (array_key_exists("Version",$param) and $param["Version"] !== null) {
            $this->Version = $param["Version"];
        }
    }
}
