<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Ivld\V20210903\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeMedia请求参数结构体
 *
 * @method string getMediaId() 获取导入媒资返回的媒资ID，最长32B
 * @method void setMediaId(string $MediaId) 设置导入媒资返回的媒资ID，最长32B
 */
class DescribeMediaRequest extends AbstractModel
{
    /**
     * @var string 导入媒资返回的媒资ID，最长32B
     */
    public $MediaId;

    /**
     * @param string $MediaId 导入媒资返回的媒资ID，最长32B
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("MediaId",$param) and $param["MediaId"] !== null) {
            $this->MediaId = $param["MediaId"];
        }
    }
}
