<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Monitor\V20180724\Models;
use TencentCloud\Common\AbstractModel;

/**
 * CreateExporterIntegration请求参数结构体
 *
 * @method string getInstanceId() 获取实例 ID
 * @method void setInstanceId(string $InstanceId) 设置实例 ID
 * @method string getKind() 获取类型(可通过 DescribePrometheusIntegrations 接口获取，取每一项中的 ExporterType 字段)
 * @method void setKind(string $Kind) 设置类型(可通过 DescribePrometheusIntegrations 接口获取，取每一项中的 ExporterType 字段)
 * @method string getContent() 获取集成配置
 * @method void setContent(string $Content) 设置集成配置
 * @method integer getKubeType() 获取Kubernetes 集群类型，可不填，取值如下：
<li> 1= 容器集群(TKE) </li>
<li> 2=弹性集群(EKS) </li>
<li> 3= Prometheus管理的弹性集群(MEKS) </li>
 * @method void setKubeType(integer $KubeType) 设置Kubernetes 集群类型，可不填，取值如下：
<li> 1= 容器集群(TKE) </li>
<li> 2=弹性集群(EKS) </li>
<li> 3= Prometheus管理的弹性集群(MEKS) </li>
 * @method string getClusterId() 获取集群 ID，可不填
 * @method void setClusterId(string $ClusterId) 设置集群 ID，可不填
 */
class CreateExporterIntegrationRequest extends AbstractModel
{
    /**
     * @var string 实例 ID
     */
    public $InstanceId;

    /**
     * @var string 类型(可通过 DescribePrometheusIntegrations 接口获取，取每一项中的 ExporterType 字段)
     */
    public $Kind;

    /**
     * @var string 集成配置
     */
    public $Content;

    /**
     * @var integer Kubernetes 集群类型，可不填，取值如下：
<li> 1= 容器集群(TKE) </li>
<li> 2=弹性集群(EKS) </li>
<li> 3= Prometheus管理的弹性集群(MEKS) </li>
     */
    public $KubeType;

    /**
     * @var string 集群 ID，可不填
     */
    public $ClusterId;

    /**
     * @param string $InstanceId 实例 ID
     * @param string $Kind 类型(可通过 DescribePrometheusIntegrations 接口获取，取每一项中的 ExporterType 字段)
     * @param string $Content 集成配置
     * @param integer $KubeType Kubernetes 集群类型，可不填，取值如下：
<li> 1= 容器集群(TKE) </li>
<li> 2=弹性集群(EKS) </li>
<li> 3= Prometheus管理的弹性集群(MEKS) </li>
     * @param string $ClusterId 集群 ID，可不填
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("InstanceId",$param) and $param["InstanceId"] !== null) {
            $this->InstanceId = $param["InstanceId"];
        }

        if (array_key_exists("Kind",$param) and $param["Kind"] !== null) {
            $this->Kind = $param["Kind"];
        }

        if (array_key_exists("Content",$param) and $param["Content"] !== null) {
            $this->Content = $param["Content"];
        }

        if (array_key_exists("KubeType",$param) and $param["KubeType"] !== null) {
            $this->KubeType = $param["KubeType"];
        }

        if (array_key_exists("ClusterId",$param) and $param["ClusterId"] !== null) {
            $this->ClusterId = $param["ClusterId"];
        }
    }
}
