<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Teo\V20220901\Models;
use TencentCloud\Common\AbstractModel;

/**
 * 规则引擎条件且关系条件列表
 *
 * @method array getConditions() 获取规则引擎条件，该数组内所有项全部满足即判断该条件满足。
 * @method void setConditions(array $Conditions) 设置规则引擎条件，该数组内所有项全部满足即判断该条件满足。
 */
class RuleAndConditions extends AbstractModel
{
    /**
     * @var array 规则引擎条件，该数组内所有项全部满足即判断该条件满足。
     */
    public $Conditions;

    /**
     * @param array $Conditions 规则引擎条件，该数组内所有项全部满足即判断该条件满足。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("Conditions",$param) and $param["Conditions"] !== null) {
            $this->Conditions = [];
            foreach ($param["Conditions"] as $key => $value){
                $obj = new RuleCondition();
                $obj->deserialize($value);
                array_push($this->Conditions, $obj);
            }
        }
    }
}
