<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Tke\V20180525\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeLogSwitches请求参数结构体
 *
 * @method array getClusterIds() 获取集群ID列表
 * @method void setClusterIds(array $ClusterIds) 设置集群ID列表
 * @method string getClusterType() 获取集群类型，tke 或eks
 * @method void setClusterType(string $ClusterType) 设置集群类型，tke 或eks
 */
class DescribeLogSwitchesRequest extends AbstractModel
{
    /**
     * @var array 集群ID列表
     */
    public $ClusterIds;

    /**
     * @var string 集群类型，tke 或eks
     */
    public $ClusterType;

    /**
     * @param array $ClusterIds 集群ID列表
     * @param string $ClusterType 集群类型，tke 或eks
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("ClusterIds",$param) and $param["ClusterIds"] !== null) {
            $this->ClusterIds = $param["ClusterIds"];
        }

        if (array_key_exists("ClusterType",$param) and $param["ClusterType"] !== null) {
            $this->ClusterType = $param["ClusterType"];
        }
    }
}
