<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Waf\V20180125\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeUserClbWafRegions返回参数结构体
 *
 * @method array getData() 获取地域（标准的ap-格式）列表
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setData(array $Data) 设置地域（标准的ap-格式）列表
注意：此字段可能返回 null，表示取不到有效值。
 * @method array getRichDatas() 获取包含详细属性的地域信息
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setRichDatas(array $RichDatas) 设置包含详细属性的地域信息
注意：此字段可能返回 null，表示取不到有效值。
 * @method string getRequestId() 获取唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 * @method void setRequestId(string $RequestId) 设置唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 */
class DescribeUserClbWafRegionsResponse extends AbstractModel
{
    /**
     * @var array 地域（标准的ap-格式）列表
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $Data;

    /**
     * @var array 包含详细属性的地域信息
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $RichDatas;

    /**
     * @var string 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    public $RequestId;

    /**
     * @param array $Data 地域（标准的ap-格式）列表
注意：此字段可能返回 null，表示取不到有效值。
     * @param array $RichDatas 包含详细属性的地域信息
注意：此字段可能返回 null，表示取不到有效值。
     * @param string $RequestId 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("Data",$param) and $param["Data"] !== null) {
            $this->Data = $param["Data"];
        }

        if (array_key_exists("RichDatas",$param) and $param["RichDatas"] !== null) {
            $this->RichDatas = [];
            foreach ($param["RichDatas"] as $key => $value){
                $obj = new ClbWafRegionItem();
                $obj->deserialize($value);
                array_push($this->RichDatas, $obj);
            }
        }

        if (array_key_exists("RequestId",$param) and $param["RequestId"] !== null) {
            $this->RequestId = $param["RequestId"];
        }
    }
}
